Blob Blame History Raw
From 242c03d6fb45f2a291f2b924dedcf2237ad183ba Mon Sep 17 00:00:00 2001
From: Xunlei Pang <xpang@redhat.com>
Date: Fri, 19 Aug 2016 13:39:37 +0200
Subject: [PATCH] network: use require_any_binary instead of
 require_any_binaries

---
 modules.d/40network/module-setup.sh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/modules.d/40network/module-setup.sh b/modules.d/40network/module-setup.sh
index 0501ffe..4a10cf3 100755
--- a/modules.d/40network/module-setup.sh
+++ b/modules.d/40network/module-setup.sh
@@ -5,7 +5,7 @@ check() {
     local _program
 
     require_binaries ip dhclient || return 1
-    require_any_binaries arping arping2 || return 1
+    require_any_binary arping arping2 || return 1
 
     return 255
 }
@@ -24,7 +24,8 @@ installkernel() {
 # called by dracut
 install() {
     local _arch _i _dir
-    inst_multiple ip arping arping2 dhclient sed awk
+    inst_multiple ip dhclient sed awk
+    inst_multiple -o arping arping2
     inst_multiple -o ping ping6
     inst_multiple -o brctl
     inst_multiple -o teamd teamdctl teamnl